Subject: PPro investigations

From: <[email-masked]>
Date: Tue, 28 Jan 1997 18:08:31 -0800 (PST)

I have been benchmarking & collecting info on Pentium Pro 200MHz
machines. So far I have not come across anything comparing cache
size (256K vs. 512K). Does anyone have such results? 

Here is what I have so far, beginning with some benchmark results 
comparing linux + Absoft compiler to other machines on molecular 
dynamics. The numbers are times in seconds.  '-OZ', '-N69' etc. 
are various Absoft optimization flags.

Some 'standard' machines are given first for comparison; '-' indicates
that the vendor ran the benchmark.

Bill Ross

dnawat*: 6 base pairs of DNA in water box 
	 (7682 atoms: 274 DNA, 10 ions, 2466 waters)
dnavac*: 68 base pairs of DNA in vacuum (4282 atoms)
prowat:  plastocyanin in water box (11585 atoms: 1460 solute, 3375 waters)

Benchmark:    dnawat1  dnawat2  dnawat3  dnawat4  dnavac  dnavacG  prowat
Cutoff:	         8A     9/12A     12A     Ewald    10A     10A      12A
									   date
-- cpu non-setup
%%%%%%%%SGI
-O2000.1         43      67       137      103      31       65     210    1/97
-O200.1          48      74       153      123      34       73     230    1/97
R8000_75         81     120       209      326     115     111      331    3/95
%%%%%%%%HP
735_125         102     163       352      385      85              521    3/95
%%%%%%%%DEC
axp_275         120     182       361      358      85     138      565   10/96

%%%%%%%%PPro_200
--128M
g77*            152     228       452      549      98     154      652    1/97
g77*            156     238       465      510     164     183      737    1/97

--32M
absoft          150                        471                      778
abs.OZ          162     248       469      547     144      -       833    1/97
abs.OZ.N69      209                        513
abs.OZ.U        164                        534
abs.OZ.U.N69    155                        517                      767
abs.U.N69       167                        493                      709

-- cpu total
DEC axp_275     115     180       371      358      87     139      573    1/97
--PPro 128M
absoft          169                        480                      789
abs.OZ          175     263       489      529     144      -       868    1/97
abs.OZ.N69      158                        396
abs.OZ.U        166                        401
abs.OZ.U.N69    156                        394                      735
abs.U.N69       173                        475                      791

Note: cpu total is used for a 128M, 2-cpu symmetric processor
PPro, since most time reported by 'time' and the internal timing
calls was system time, not user. The 'cpu non-setup' times are
internal timings of the main dynamics loop.

* - different 128M PPros than the other 128M numbers.

--
Gaussian 94 Benchmarks - http://mephisto.ca.sandia.gov/benchmarks.html

  times in seconds

                          ------------test #-------------
machine    processor      1   28   94  155  194  296  302   relative speed

1. PDOF     PPro200.2(a)  7   23   66  390  225 1129  103   1.0
1. PDOF     PPro200.2(b)  6   18   61  336  177 1067   84   1.2
2.          PPro200.1     7   21   70  495  334 1429  121   0.9
3. Endeavor P5/133       10   36  144 1364  667 6747  340   0.4
4. Indigo2  r8000         8   23   85  303   91 1111  139   1.2

a-Pentium Pro jobs run with two G94 jobs on the machine;
b-Pentium Pro jobs run with the second CPU idling

     Machine Details: 

1.Pentium Pro/200 MHz; PDOF dual processor motherboard; running Linux; 
  128 MB Ram, 4 way interleaved memory; G94 run with 4MW 
2.Pentium Pro 200 MHz: single processor motherboard; running Linux; 
  128MB Ram; f2c compiler w/ -O2 optimization; gcc 2.7.0 and libc 5.2.18; 
  G94 run with 4MW 
3.Pentium 133 MHz; Endeavor motherboard; running Linux; 64 MB Ram, 
  compiled w/o optimization; G94 w/ 2 MW
4.Indigo-2; R8000; running IRIX 6.1; 192 MB Ram; G94 run with 5 MW 

     Test Details: 

1 - STO-3G single point energy on O2 
28 - RHF/3-21G H2O frequencies 
94 - MP2/STO-3G H2O geometry optimization 
155 - HF/6-31+G* Ethene, frequencies 
194 - QCISD(tq) generic basis H2O 
296 - G1, G2, G2MP2, H2O 
302 - HF/3-21G transition state for SiH2 + H2 -> SiH4 

Benchmark by Joe Durant. He commented in Jul '96:

> The dual P6 boards offer 4 way interleaving on the memory, which 
> I believe explains the speedup of the dual board over the single 
> processor board.  The loss in performance for things like QCISD is 
> due, I am told, to the gcc compilers not yet being as good at optimizing 
> matrix calculations.  These same people expect the differences to disappear
> as the gnu compilers for the P6 mature.

-- relating this to a bigger molecule, C6H6N6O6 (TATB), rhf/6-31g**//hf/6-31g**
http://www.chem.joensuu.fi/people/juha_muilu/Misc/benchmarks.html

GAUSSIAN94
Computer                Proc    MHz   time               versions 
                                /MB(* elapsed cpu+sys(*  G94    OS  F77
------------------------------------------------------------------------
DEC 3900/192MB          Alpha   275   16:31   13:52      RevD.1 3.2 3.8
SGI Power Onyx/2GB    8*R8000   75             8:42      RevB.1 5.3(**
SGI Power Indigo/128MB  R8000   75             8:02

Job is single point HF calculation with NPA population analysis. Number of
basis functions is 300 and number of (direct) SCF iterations is 8.

--

http://www.cpma.u-psud.fr/ccl/405

Date: Wed, 31 Jul 1996 15:58:28 -0600
To: [email-masked]
Subject: CCL:G:Summary: Performance of PPro

Pedro A M Vazquez wrote:
> Subject: [COMP-CHEM] CCL:G:performance of PPro (fwd)
> Hello
>       We just started to benchmark a PPro200MHz for quantum chemistry
> calculations.
>       While I've not completed all sets of tests I've results for the
> Stream benchmark (Memory bandwidth), Bonnie (I/O) and the 4 Gamess
> benchmarks.
>       These results are for an Asustek Motherboard with 64M of RAM,
> an Adaptec 2940 SCSI2 adaptor and a NEC 2.1G SCSI2 hard disk running
> under FreeBSD2.1.0:
>
> Stream:(a g94 job running during the benchmark)
>
> Function      Rate (MB/s)   RMS time     Min time     Max time
> Assignment:    97.5238       0.1965       0.1641       0.2109
> Scaling   :    85.3333       0.1969       0.1875       0.2031
> Summing   :    87.7714       0.2813       0.2734       0.2969
> SAXPYing  :    90.3529       0.2797       0.2656       0.2891
>
> Just for comparision, these are the results for an Alpha Server 1000 4/266
> DEC Unix3.2C: (idle machine)
>
> Function      Rate (MB/s)   RMS time     Min time     Max time
> Assignment:    96.0000       0.1801       0.1667       0.1833
> Scaling   :    96.0000       0.1836       0.1667       0.2000
> Summing   :    96.0000       0.2586       0.2500       0.2833
> SAXPYing  :    96.0000       0.2618       0.2500       0.2667
>
> Bonnie:
>               -------Sequential Output-------- ---Sequential Input--
--Random--
>               -Per Char- --Block--- -Rewrite-- -Per Char- --Block---
--Seeks---
> Machine    MB K/sec %CPU K/sec %CPU K/sec %CPU K/sec %CPU K/sec %CPU  /sec
%CPU
>
> 2940/PP200
>           100  3275 56.5  3194 12.8  1424 11.2  4978 80.4  4926 17.8 103.8
 4.1
>
> Alpha 1000 4/266 DEC RZ28
>           100  4906 95.4  5439 17.4  2550 10.4  4746 82.6  5322 12.6 428.0
10.8
>
> GAMESS:
> Bench           10      04      13      07
> =============================================
> IBM370          64      74      366     391
> P166            61      78      281     335
> IBM580          59      69      322     381
>
> PPro200         43.6    69.3    163.7   254.6 <<<<<<
>
> IBM590          33      33      147     202
> Alpha1000 4/266 23.3    30.5    126.9   147.0
>
> The results for the Pentium166 (64M/RAM,FreeBSD2.1.0,2940/NEC2.1HD) and
> for the PPro200 were obtained with GAMESS (22/nov/95) compiled with
> GNU Fortran 0.5.18 (slightly faster than f2c/gcc).
>
> I need to benchmark gaussian yet to have a more representative sampling
> but as you can see these are very good results for a cheap computer.
> If you opt to buy 2 PPro to run GAMESS in parallel you'll got near
> two times the above reported performance.
>
> Pedro
>-- End of excerpt from Pedro A M Vazquez